Skip to main content
GET
/
api
/
v1
/
client
/
models
cURL
curl --request GET \
  --url https://api.deapi.ai/api/v1/client/models \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "slug": "<string>",
      "inference_types": {},
      "info": {
        "limits": {
          "min_width": 64,
          "max_width": 2048,
          "min_height": 64,
          "max_height": 2048,
          "min_steps": 1,
          "max_steps": 150,
          "min_cfg_scale": 1,
          "max_cfg_scale": 30,
          "min_duration": 0.5,
          "max_duration": 10,
          "min_fps": 8,
          "max_fps": 30
        },
        "features": {
          "supports_last_frame": true,
          "supports_negative_prompt": true,
          "supports_controlnet": false,
          "supports_lora": true,
          "supports_voice_presets": true,
          "supports_custom_voice": false
        },
        "defaults": {
          "width": 512,
          "height": 512,
          "steps": 20,
          "cfg_scale": 7.5,
          "negative_prompt": "no disfigurations",
          "fps": 24,
          "duration": 4,
          "voice": "alloy"
        }
      },
      "loras": [
        {
          "display_name": "<string>",
          "name": "<string>"
        }
      ],
      "languages": [
        {
          "name": "<string>",
          "slug": "<string>",
          "voices": [
            {
              "name": "<string>",
              "slug": "<string>",
              "gender": "<string>"
            }
          ]
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Query Parameters

per_page
integer
default:15
page
integer
default:1
filter[inference_types]
enum<string>[]

Comma-separated list of inference types to filter by. Example: txt2img,txt2audio

Available options:
txt2img,
img2txt,
txt2audio,
vid2txt,
aud2txt,
txt2video,
img2video,
img2img,
img_upscale,
img_rmbg,
vid_upscale,
vid_rmbg,
txt2embedding,
videofile2txt,
audiofile2txt

Response

List of available models.

data
object[]

List of available models